/*
 * Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
 *
 * This file is part of OSM2Go.
 *
 * OSM2Go is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OSM2Go is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OSM2Go.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "appdata.h"

static void on_info_clicked(GtkButton *button, gpointer data) {
  info_dialog((appdata_t*)data);
}

void icon_bar_map_item_selected(appdata_t *appdata, map_item_t *map_item,
				gboolean selected) {
  iconbar_t *iconbar = appdata->iconbar;

  gtk_widget_set_sensitive(iconbar->info_but, selected);
}

GtkWidget *iconbar_new(appdata_t *appdata) {
  appdata->iconbar = g_new0(iconbar_t, 1);
  iconbar_t *iconbar = appdata->iconbar;

  GtkWidget *vbox = gtk_vbox_new(FALSE, 0);

  /* ----------------------------------------------------------- */

  iconbar->info_but = gtk_button_new();
  GtkWidget *icon = gtk_image_new_from_pixbuf(icon_load(appdata, "info")); 
  gtk_button_set_image(GTK_BUTTON(iconbar->info_but), icon);

  gtk_signal_connect(GTK_OBJECT(iconbar->info_but), "clicked",
		     (GtkSignalFunc)on_info_clicked, appdata);
  gtk_box_pack_start(GTK_BOX(vbox), iconbar->info_but, FALSE, FALSE, 0);
  
  /* ----------------------------------------------------------- */  

  icon_bar_map_item_selected(appdata, NULL, FALSE);

  return vbox;
}
